pydo.monitoring.get_database_mysql_load()
Generated on 9 Jun 2026
from pydo version
v0.36.0
Usage
client.monitoring.get_database_mysql_load(
db_id="9cc10173-e9ea-4176-9dbc-a4cee4c4ff30",
metric="load1",
aggregate="avg",
start="1620683817",
end="1620705417",
)Description
Retrieve load metrics for a MySQL cluster. Use metric for the window: load1 (1-minute), load5 (5-minute), or load15 (15-minute). Use aggregate to get either the average (avg) or maximum (max) over that window over the time range.
Parameters
db_idstring requiredThe DBaaS cluster UUID (database ID).
metricstring requiredLoad window: load1 (1-minute), load5 (5-minute), load15 (15-minute). The value is either average or max over that window, depending on the aggregate parameter (avg or max).
aggregatestring requiredAggregation over the time range (avg or max).
startstring requiredUNIX timestamp to start metric window.
endstring requiredUNIX timestamp to end metric window.
Response Example
More Information
See /v2/monitoring/metrics/database/mysql/load in the API reference for additional detail on responses, headers, parameters, and more.